import {
    pgTable,
    bigint,
    timestamp,
    text,
} from "drizzle-orm/pg-core"

export const accounts = pgTable("accounts", {
    id: bigint("id", { mode: "number" })
        .primaryKey()
        .generatedByDefaultAsIdentity(),

    createdAt: timestamp("created_at", { withTimezone: true })
        .notNull()
        .defaultNow(),

    number: text("number").notNull(),
    label: text("label").notNull(),
    accountChart: text("accountChart").notNull().default("skr03"),

    description: text("description"),
})

export type Account = typeof accounts.$inferSelect
export type NewAccount = typeof accounts.$inferInsert
